GET api/userapi/users?active={active}&keyword={keyword}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
None. |
|
| keyword | string |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of UserViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| customer_name | string |
None. |
|
| has_operator_password | boolean |
None. |
|
| webapp_password | string |
Data type: Password Matching regular expression pattern: ^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[ !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~])[A-Za-z\d !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~]{8,}$ |
|
| webapp_username | string |
Required |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| isFromWpf | boolean |
None. |
|
| sites | Collection of SiteViewModel |
None. |
|
| locks | Collection of LockViewModel |
None. |
|
| clearOperatorPassword | boolean |
None. |
|
| active | boolean |
Required |
|
| admin | boolean |
None. |
|
| badge_tag_id | string |
None. |
|
| cell_phone | string |
None. |
|
| customer_id | globally unique identifier |
None. |
|
| firstname | string |
None. |
|
| id | globally unique identifier |
None. |
|
| is_supervisor | boolean |
Required |
|
| language_code | string |
Required |
|
| lastname | string |
None. |
|
| string |
None. |
||
| operator_code | string |
Required |
|
| operator_password | string |
Data type: Password |
|
| phone | string |
None. |
|
| webapp_password_last_update | date |
None. |
|
| role_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"customer_name": "sample string 1",
"has_operator_password": true,
"webapp_password": "sample string 3",
"webapp_username": "sample string 4",
"rights": [
{
"code": "sample string 1",
"id": "2a6ef7f5-7b81-4af8-8caa-0dbcb140a0f8"
},
{
"code": "sample string 1",
"id": "2a6ef7f5-7b81-4af8-8caa-0dbcb140a0f8"
}
],
"isFromWpf": true,
"sites": [
{
"id": "34df1d81-745f-4945-b513-cc9738f07c9f",
"customer_id": "c6592eae-ce51-4db3-9899-ac4e3bba21de",
"dB_ip": "sample string 3",
"dB_name": "sample string 4",
"dB_user": "sample string 5",
"dB_password": "sample string 6",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 7",
"number": 1,
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"site_analysis_count": 1,
"active": true,
"address": "sample string 8",
"city": "sample string 9",
"zip_code": "sample string 10",
"country": "sample string 11",
"selected_sticker_id": "dec3d8aa-0b3b-4ebb-89c2-1f4fe102bddf"
},
{
"id": "34df1d81-745f-4945-b513-cc9738f07c9f",
"customer_id": "c6592eae-ce51-4db3-9899-ac4e3bba21de",
"dB_ip": "sample string 3",
"dB_name": "sample string 4",
"dB_user": "sample string 5",
"dB_password": "sample string 6",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 7",
"number": 1,
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"site_analysis_count": 1,
"active": true,
"address": "sample string 8",
"city": "sample string 9",
"zip_code": "sample string 10",
"country": "sample string 11",
"selected_sticker_id": "dec3d8aa-0b3b-4ebb-89c2-1f4fe102bddf"
}
],
"locks": [
{
"id": "e29bc8ab-3713-47af-8297-89728563d6b6",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "8718096a-16b7-4c3a-83f1-56524fab74cd",
"guard_id": "eff04c13-0a66-457a-b520-bc46c64ffaf3",
"active": true
},
{
"id": "e29bc8ab-3713-47af-8297-89728563d6b6",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "8718096a-16b7-4c3a-83f1-56524fab74cd",
"guard_id": "eff04c13-0a66-457a-b520-bc46c64ffaf3",
"active": true
}
],
"clearOperatorPassword": true,
"active": true,
"admin": true,
"badge_tag_id": "sample string 9",
"cell_phone": "sample string 10",
"customer_id": "54e5e225-7b46-413d-b426-7ddaf59b7098",
"firstname": "sample string 11",
"id": "7f632606-b026-4ebe-9da6-feb98e96ac91",
"is_supervisor": true,
"language_code": "sample string 14",
"lastname": "sample string 15",
"mail": "sample string 16",
"operator_code": "sample string 17",
"operator_password": "sample string 18",
"phone": "sample string 19",
"webapp_password_last_update": "2026-10-04T07:39:50.4801754+00:00",
"role_id": "dc57efd3-6295-4e36-9e25-f9bb7f6a9fcd"
},
{
"customer_name": "sample string 1",
"has_operator_password": true,
"webapp_password": "sample string 3",
"webapp_username": "sample string 4",
"rights": [
{
"code": "sample string 1",
"id": "2a6ef7f5-7b81-4af8-8caa-0dbcb140a0f8"
},
{
"code": "sample string 1",
"id": "2a6ef7f5-7b81-4af8-8caa-0dbcb140a0f8"
}
],
"isFromWpf": true,
"sites": [
{
"id": "34df1d81-745f-4945-b513-cc9738f07c9f",
"customer_id": "c6592eae-ce51-4db3-9899-ac4e3bba21de",
"dB_ip": "sample string 3",
"dB_name": "sample string 4",
"dB_user": "sample string 5",
"dB_password": "sample string 6",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 7",
"number": 1,
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"site_analysis_count": 1,
"active": true,
"address": "sample string 8",
"city": "sample string 9",
"zip_code": "sample string 10",
"country": "sample string 11",
"selected_sticker_id": "dec3d8aa-0b3b-4ebb-89c2-1f4fe102bddf"
},
{
"id": "34df1d81-745f-4945-b513-cc9738f07c9f",
"customer_id": "c6592eae-ce51-4db3-9899-ac4e3bba21de",
"dB_ip": "sample string 3",
"dB_name": "sample string 4",
"dB_user": "sample string 5",
"dB_password": "sample string 6",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 7",
"number": 1,
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"site_analysis_count": 1,
"active": true,
"address": "sample string 8",
"city": "sample string 9",
"zip_code": "sample string 10",
"country": "sample string 11",
"selected_sticker_id": "dec3d8aa-0b3b-4ebb-89c2-1f4fe102bddf"
}
],
"locks": [
{
"id": "e29bc8ab-3713-47af-8297-89728563d6b6",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "8718096a-16b7-4c3a-83f1-56524fab74cd",
"guard_id": "eff04c13-0a66-457a-b520-bc46c64ffaf3",
"active": true
},
{
"id": "e29bc8ab-3713-47af-8297-89728563d6b6",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "8718096a-16b7-4c3a-83f1-56524fab74cd",
"guard_id": "eff04c13-0a66-457a-b520-bc46c64ffaf3",
"active": true
}
],
"clearOperatorPassword": true,
"active": true,
"admin": true,
"badge_tag_id": "sample string 9",
"cell_phone": "sample string 10",
"customer_id": "54e5e225-7b46-413d-b426-7ddaf59b7098",
"firstname": "sample string 11",
"id": "7f632606-b026-4ebe-9da6-feb98e96ac91",
"is_supervisor": true,
"language_code": "sample string 14",
"lastname": "sample string 15",
"mail": "sample string 16",
"operator_code": "sample string 17",
"operator_password": "sample string 18",
"phone": "sample string 19",
"webapp_password_last_update": "2026-10-04T07:39:50.4801754+00:00",
"role_id": "dc57efd3-6295-4e36-9e25-f9bb7f6a9fcd"
}
]
application/xml, text/xml
Sample:
<ArrayOfuser xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<user>
<active>true</active>
<admin>true</admin>
<badge_tag_id>sample string 9</badge_tag_id>
<cell_phone>sample string 10</cell_phone>
<customer_id>54e5e225-7b46-413d-b426-7ddaf59b7098</customer_id>
<firstname>sample string 11</firstname>
<id>7f632606-b026-4ebe-9da6-feb98e96ac91</id>
<is_supervisor>true</is_supervisor>
<language_code>sample string 14</language_code>
<lastname>sample string 15</lastname>
<mail>sample string 16</mail>
<operator_code>sample string 17</operator_code>
<operator_password>sample string 18</operator_password>
<phone>sample string 19</phone>
<role_id>dc57efd3-6295-4e36-9e25-f9bb7f6a9fcd</role_id>
<webapp_password_last_update>2026-10-04T07:39:50.4801754+00:00</webapp_password_last_update>
<clearOperatorPassword>true</clearOperatorPassword>
<customer_name>sample string 1</customer_name>
<has_operator_password>true</has_operator_password>
<isFromWpf>true</isFromWpf>
<locks>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>8718096a-16b7-4c3a-83f1-56524fab74cd</distribution_id>
<guard_id>eff04c13-0a66-457a-b520-bc46c64ffaf3</guard_id>
<id>e29bc8ab-3713-47af-8297-89728563d6b6</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>8718096a-16b7-4c3a-83f1-56524fab74cd</distribution_id>
<guard_id>eff04c13-0a66-457a-b520-bc46c64ffaf3</guard_id>
<id>e29bc8ab-3713-47af-8297-89728563d6b6</id>
<name>sample string 2</name>
</lock>
</locks>
<rights>
<right>
<ID>2a6ef7f5-7b81-4af8-8caa-0dbcb140a0f8</ID>
<code>sample string 1</code>
</right>
<right>
<ID>2a6ef7f5-7b81-4af8-8caa-0dbcb140a0f8</ID>
<code>sample string 1</code>
</right>
</rights>
<sites>
<site>
<DB_ip>sample string 3</DB_ip>
<DB_name>sample string 4</DB_name>
<DB_password>sample string 6</DB_password>
<DB_user>sample string 5</DB_user>
<active>true</active>
<address>sample string 8</address>
<city>sample string 9</city>
<country>sample string 11</country>
<customer_id>c6592eae-ce51-4db3-9899-ac4e3bba21de</customer_id>
<id>34df1d81-745f-4945-b513-cc9738f07c9f</id>
<name>sample string 7</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>dec3d8aa-0b3b-4ebb-89c2-1f4fe102bddf</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 10</zip_code>
</site>
<site>
<DB_ip>sample string 3</DB_ip>
<DB_name>sample string 4</DB_name>
<DB_password>sample string 6</DB_password>
<DB_user>sample string 5</DB_user>
<active>true</active>
<address>sample string 8</address>
<city>sample string 9</city>
<country>sample string 11</country>
<customer_id>c6592eae-ce51-4db3-9899-ac4e3bba21de</customer_id>
<id>34df1d81-745f-4945-b513-cc9738f07c9f</id>
<name>sample string 7</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>dec3d8aa-0b3b-4ebb-89c2-1f4fe102bddf</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 10</zip_code>
</site>
</sites>
<webapp_password>sample string 3</webapp_password>
<webapp_username>sample string 4</webapp_username>
</user>
<user>
<active>true</active>
<admin>true</admin>
<badge_tag_id>sample string 9</badge_tag_id>
<cell_phone>sample string 10</cell_phone>
<customer_id>54e5e225-7b46-413d-b426-7ddaf59b7098</customer_id>
<firstname>sample string 11</firstname>
<id>7f632606-b026-4ebe-9da6-feb98e96ac91</id>
<is_supervisor>true</is_supervisor>
<language_code>sample string 14</language_code>
<lastname>sample string 15</lastname>
<mail>sample string 16</mail>
<operator_code>sample string 17</operator_code>
<operator_password>sample string 18</operator_password>
<phone>sample string 19</phone>
<role_id>dc57efd3-6295-4e36-9e25-f9bb7f6a9fcd</role_id>
<webapp_password_last_update>2026-10-04T07:39:50.4801754+00:00</webapp_password_last_update>
<clearOperatorPassword>true</clearOperatorPassword>
<customer_name>sample string 1</customer_name>
<has_operator_password>true</has_operator_password>
<isFromWpf>true</isFromWpf>
<locks>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>8718096a-16b7-4c3a-83f1-56524fab74cd</distribution_id>
<guard_id>eff04c13-0a66-457a-b520-bc46c64ffaf3</guard_id>
<id>e29bc8ab-3713-47af-8297-89728563d6b6</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>8718096a-16b7-4c3a-83f1-56524fab74cd</distribution_id>
<guard_id>eff04c13-0a66-457a-b520-bc46c64ffaf3</guard_id>
<id>e29bc8ab-3713-47af-8297-89728563d6b6</id>
<name>sample string 2</name>
</lock>
</locks>
<rights>
<right>
<ID>2a6ef7f5-7b81-4af8-8caa-0dbcb140a0f8</ID>
<code>sample string 1</code>
</right>
<right>
<ID>2a6ef7f5-7b81-4af8-8caa-0dbcb140a0f8</ID>
<code>sample string 1</code>
</right>
</rights>
<sites>
<site>
<DB_ip>sample string 3</DB_ip>
<DB_name>sample string 4</DB_name>
<DB_password>sample string 6</DB_password>
<DB_user>sample string 5</DB_user>
<active>true</active>
<address>sample string 8</address>
<city>sample string 9</city>
<country>sample string 11</country>
<customer_id>c6592eae-ce51-4db3-9899-ac4e3bba21de</customer_id>
<id>34df1d81-745f-4945-b513-cc9738f07c9f</id>
<name>sample string 7</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>dec3d8aa-0b3b-4ebb-89c2-1f4fe102bddf</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 10</zip_code>
</site>
<site>
<DB_ip>sample string 3</DB_ip>
<DB_name>sample string 4</DB_name>
<DB_password>sample string 6</DB_password>
<DB_user>sample string 5</DB_user>
<active>true</active>
<address>sample string 8</address>
<city>sample string 9</city>
<country>sample string 11</country>
<customer_id>c6592eae-ce51-4db3-9899-ac4e3bba21de</customer_id>
<id>34df1d81-745f-4945-b513-cc9738f07c9f</id>
<name>sample string 7</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>dec3d8aa-0b3b-4ebb-89c2-1f4fe102bddf</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 10</zip_code>
</site>
</sites>
<webapp_password>sample string 3</webapp_password>
<webapp_username>sample string 4</webapp_username>
</user>
</ArrayOfuser>